Subject: Is there any necessary to add multicast route for a loopback device?

From: Li Wei <[email-masked]>
Date: Wed, 30 Nov 2011 15:38:37 +0800

Hi all,

I found that since Fedora 15, it use systemd as the 'init'. When systemd start 
it would config the ipv6 address(::1/128) for 'lo' and start it. While adding 
this address to 'lo', kernel will call addrconf_add_mroute() to set a multicast
route for 'lo' with rt->dst.error = -ENETUNREACH. After that, when I send multi-
cast message, the route subsystem return a route with .error set to NETUNREACH.

Is there any necessary to add multicast route for a loopback device?